Subject: Re: Acknowledgements section in a RFC (Was: Last Call: 'Matching of Language Tags' to BCP (draft-ietf-ltru-matching)

From: Bob Braden <[email-masked]>
Date: Wed, 7 Jun 2006 09:53:19 -0700 (PDT)

*> 
  *> > the acknowledgements section was intended for folks who wrote
  *> > pieces, or folks who suggested useful ideas, or provided significant
  *> > useful corrections, etc.  The contributors section was introduced in
  *> > conjunction with the effort to reduce the set of authors to those
  *> > who wrote the primary text.  So Contributors is usually used for
  *> > those who wrote sections of text, but not enough to be authors.
  *> 
  *> These rules are perfectly reasonable (even if they would cost me my
  *> acknowledgment in draft-ietf-ltru-matching) but:
  *> 
  *> 1) They do not seem to be written somewhere. I cannot find them in the
  *> RFCs talking about RFCs (meta-RFCs? IPODs?).

The text in Section 2.12 of RFC223bis is intended to state these
guidelines. See:

    ftp://ftp.rfc-editor.org/in-notes/rfc-editor/instructions2authors.txt

The RFC Editor would be happy to receive suggestions for augmentation
or modification of the text in this section.

Bob Braden for the RFC Editor

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Gray, Eric" <[email-masked]>
Date: Wed, 7 Jun 2006 15:27:36 -0400

John,

	Agree.

--> -----Original Message-----
--> From: John C Klensin [mailto:[email-masked]] 
--> Sent: Wednesday, June 07, 2006 3:04 PM
--> To: Gray, Eric
--> Cc: [email-masked]
--> Subject: RE: Acknowledgements section in a RFC (Was: Last 
--> Call: 'Matching of Language Tags' to BCP (draft-ietf-ltru-matching)
--> 
--> 
--> 
--> --On Wednesday, 07 June, 2006 14:22 -0400 "Gray, Eric"
--> <[email-masked]> wrote:
--> 
--> > John,
--> > 
--> > 	I disagree both in the belief that the Note Well is
--> > clear on this and the sense of your argument that anyone
--> > participating in any part of a discussion can be made
--> > retroactively responsible for the entire discussion.
--> 
--> I think were we disagree is about the notion that inclusion of
--> one's name in an acknowledgement implies "responsibility" for
--> any part of the discussion, much less all of it.
--> 
--> > 	The Note Well is not clear because it makes sweeping
--> > statements about the way in which BCP 78 and 79 may apply
--> > to "contributions".  The obvious (but not clear) intent is
--> > that what you contribute is now subject to provisions of
--> > these BCPs that apply to contributions.  What is both more
--> > subtle and not clearly excluded is that _only_ what you've
--> > contributed applies and that contributing to a work is not 
--> > the same as "authoring" it.
--> 
--> To the extent to which you believe that the Note Well is unclear
--> or defective, please take that to the IPR WG.
--> 
--> > 	I refer directly to the required RFC inclusions that
--> > specifically use the word "author" and their rights and
--> > responsibilities with respect to IPR and copyrights.  If I
--> > make a comment about a rev -01 version of a draft and stop 
--> > participating in the work, I may not be held accountable
--> > for IPR I may know of but which did not enter into the text
--> > until sometime after I stopped looking at it.
--> 
--> I believe that is true.  I also do not believe that an
--> acknowledgement constitutes an assertion of accountability.
--> But those are matters for counsel -- I will assert my beliefs
--> about what ought to be happening here, but not about the legal
--> implications of particular text.   In particular, I do not
--> believe that inclusion or exclusion from an acknowledgement
--> implies an IPR claims or responsibilities at all: to do so would
--> confound many centuries of publications history.  An exception
--> might(and probably would) arise if the contribution were
--> identified in very specific terms, but those terms would bind
--> that particular author/ contributor only to that text.   As far
--> as I recall, we have never included text in acknowledgements
--> that says, e.g., "Joe Blow contributed section 1.2.3.4 in its
--> entirety and it is used with his permission", so the
--> implications of that form are not relevant.
--> 
--> > 	Similarly, if I object to work that has been done, you 
--> > may not attach my name to it against my objections - unless 
--> > either the Note Well, and the BCPs, both explicitly include 
--> > a provision for implied consent.  If that is the case, now,
--> > then it is most certainly not "clear" that it is.
--> 
--> It would clearly be inappropriate to list you as an author.
--> Given our current peculiar definition of "Contributor" in the
--> RFC sense, it would probably be inappropriate to include you as
--> one of those, at least without permitting you to include a
--> statement of dissent.  It seems to me that you have no standing
--> to object to the inclusion of your name in an acknowledgement if
--> you, in fact, did something that the author thought was
--> appropriate to acknowledge.  I'd hope that, in normal
--> circumstances, the author would honor your request to remove
--> your name, but I can also see circumstances in which removing
--> your name would be inappropriate.  
--> 
--> As one specific example, suppose the acknowledgements said
--> "Significant contributions to the topics discussed in this
--> document came from an ad hoc group consisting of  <list of
--> participants in that group>".  Now, adding a "not all members of
--> the group agree with the final conclusions represented in this
--> document" would be appropriate if true.  But removing a name
--> from the list of people who participated in the group,
--> especially the name of someone who could be clearly determined
--> from the group's mailing list to have actively participated,
--> would simply be a lie and, IMO, completely inappropriate.
--> 
--> > 	This is the negative side of the discussion going on.
--> > People are focusing on reasons why someone might want to be
--> > included in acknowledgements.  I am merely pointing out that
--> > it is also possible that someone might not want this.
--> 
--> Understood.  But that is precisely why listing in an
--> acknowledgement must not have implications of "responsibility"
--> for the whole document.
--> 
--> And this discussion really belongs in the IPR WG.
--> 
-->     john
-->